class MessageHandler {
  canHandle(_eventType: string, _dataType: string) {
    throw new Error("Subclass must implement canHandle method");
  }

  handle(_event: string) {
    throw new Error("Subclass must implement handle method");
  }
  
  setNextHandle(){}
}

class ToolResponseHandler extends MessageHandler{
    canHandle(eventType: string, dataType: string): void {
        
    }
    handle(event: string): void {
        
    }
}
